Lists credentials for a database
curl --request GET \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"database": {
"id": "<string>",
"name": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"regionId": 123,
"created": "2023-11-07T05:31:56Z"
}
}
]{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}databases
Lists credentials for a database
Lists all credentials that exist for a database. The id of the credential is included in the response, but not the password. Passwords are provided only once, at the time the credential is created, and are encrypted for storage.
GET
/
workspaces
/
{workspaceSlug}
/
databases
/
{databaseName}
/
credentials
Lists credentials for a database
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I